import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
export default {
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Business', 'GetList', query)
  },
  getEntityById(query) {
    return micro_request.postRequest(basePath, 'Business', 'GetEntityById', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Business', 'Create', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Business', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Business', 'DeleteByIds', query)
  },
  businessGradation(query) {
    return micro_request.postRequest(basePath, 'Business', 'BusinessGradation', query)
  },
  businessTransfer(query) {
    return micro_request.postRequest(basePath, 'Business', 'BusinessTransfer', query)
  },
}
